# RadioLib: HellClient Class Reference

HellClient Class Reference

Client for Hellschreiber transmissions. More...

`#include <Hellschreiber.h>`

Inheritance diagram for HellClient:

## Public Member Functions

| HellClient (PhysicalLayer *phy)
| Constructor for 2-FSK mode. More...
| HellClient (AFSKClient *audio)
| Constructor for AFSK mode. More...
int16_t | begin (float base, float rate=122.5)
| Initialization method. More...
size_t | printGlyph (const uint8_t *buff)
| Method to "print" a buffer of pixels, this is exposed to allow users to send custom characters. More...
void | setInversion (bool inv)
| Invert text color. More...
size_t | write (uint8_t b) override
| Write one byte. Implementation of interface of the RadioLibPrint/Print class. More...
Public Member Functions inherited from RadioLibPrint
size_t | write (const char *str)
virtual size_t | write (const uint8_t *buffer, size_t size)
size_t | write (const char *buffer, size_t size)
size_t | print (ITA2String &ita2)
size_t | println (ITA2String &ita2)
size_t | print (const char[])
size_t | print (char)
size_t | print (unsigned char, int=DEC)
size_t | print (int, int=DEC)
size_t | print (unsigned int, int=DEC)
size_t | print (long, int=DEC)
size_t | print (unsigned long, int=DEC)
size_t | print (double, int=2)
size_t | println (const char[])
size_t | println (char)
size_t | println (unsigned char, int=DEC)
size_t | println (int, int=DEC)
size_t | println (unsigned int, int=DEC)
size_t | println (long, int=DEC)
size_t | println (unsigned long, int=DEC)
size_t | println (double, int=2)
size_t | println (void)

## Detailed Description

Client for Hellschreiber transmissions.

## Constructor & Destructor Documentation

## HellClient() [1/2]

HellClient::HellClient | ( | PhysicalLayer * | phy | ) |

explicit

Constructor for 2-FSK mode.

Parameters

  phy | Pointer to the wireless module providing PhysicalLayer communication.

## HellClient() [2/2]

HellClient::HellClient | ( | AFSKClient * | audio | ) |

explicit

Constructor for AFSK mode.

Parameters

  audio | Pointer to the AFSK instance providing audio.

## Member Function Documentation

## begin()

int16_t HellClient::begin | ( | float | base,
|  | float | rate = `122.5`
| ) |  |

Initialization method.

Parameters

  base | Base RF frequency to be used in MHz (in 2-FSK mode), or the tone frequency in Hz (in AFSK mode).
  rate | Baud rate to be used during transmission. Defaults to 122.5 ("Feld Hell")

## printGlyph()

size_t HellClient::printGlyph | ( | const uint8_t * | buff | ) |

Method to "print" a buffer of pixels, this is exposed to allow users to send custom characters.

Parameters

  buff | Buffer of pixels to send, in a 7x7 pixel array.

Returns
  Always returns the number of printed glyphs (1).

## setInversion()

void HellClient::setInversion | ( | bool | inv | ) |

Invert text color.

Parameters

  inv | Whether to enable color inversion (white text on black background), or not (black text on white background)

## write()

size_t HellClient::write | ( | uint8_t | b | ) |

overridevirtual

Write one byte. Implementation of interface of the RadioLibPrint/Print class.

Parameters

  b | Byte to write.

Returns
  1 if the byte was written, 0 otherwise.

Implements RadioLibPrint.

The documentation for this class was generated from the following files:

- src/protocols/Hellschreiber/Hellschreiber.h
- src/protocols/Hellschreiber/Hellschreiber.cpp